Desktop application abstract controller.

This file includes `import`'s for desktop components/directives used by the HTML page and the controller to provide the configuration.

### Hierarchy

- AbstractAPIController
  - AbstractDesktopController

## Index

### Constructors

- constructor

### Methods

- AbstractAppController

## Constructors

### constructor

- new AbstractDesktopController(config: {}, $scope: IScope, $injector: IInjectorService): AbstractDesktopController

- Overrides AbstractAPIController.constructor

  - Defined in contribs/gmf/src/controllers/AbstractDesktopController.js:56
  nginject

  #### Parameters

  - ##### config: {}

    A part of the application config.

  - ##### $scope: IScope

    Scope.

  - ##### $injector: IInjectorService

    Main injector.

  #### Returns AbstractDesktopController

## Methods

### Static AbstractAppController

- AbstractAppController(config: {}, map: Map, $scope: IScope, $injector: IInjectorService): void

- - Defined in contribs/gmf/src/controllers/AbstractAppController.js:98

  Application abstract controller.

  Used functionalities:

  - `open_panel`: When set, contains the name of the panel to open upon loading an application. Note: although this is a list, only one can be defined.
  ngdoc

    controller

  nginject

  #### Parameters

  - ##### config: {}

    A part of the application config.

  - ##### map: Map

    The map.

  - ##### $scope: IScope

    Scope.

  - ##### $injector: IInjectorService

    Main injector.

  #### Returns void

Generated using TypeDoc